--local slate_fx="^[brighten^[multiply:#57616A^[transform1"
--[[
minetest.register_node("darkage:slate", {
		description = "Slate",
		tiles = {"darkage_slate.png","darkage_slate.png","darkage_slate_side.png"},
		is_ground_content = true,
		drop = "stairs:stair_slate_cobble 3",
groups = {cracky=2},
sounds = default.node_sound_stone_defaults()
})
]]

--[[
minetest.register_node("darkage:basalt", {
description = "Basalt",
tiles = {"darkage_basalt.png"},
is_ground_content = true,
drop="", -- drop = "darkage:basalt_cobble",
groups = {cracky=3},
sounds = default.node_sound_stone_defaults()
})
]]


doors.register_trapdoor("darkage:trapdoor", {
	description = "Paper Frame Trapdoor",
	tile_front = "xdecor_itemframe.png",
	tile_side = "xdecor_itemframe.png",
	gain_open = 0.06,
	gain_close = 0.13,
	groups = {oddly_breakable_by_hand = 2, flammable = 2, door = 1},
})

minetest.register_craft({
	output = "darkage:trapdoor",
	type="shapeless",
	recipe = {
		"doors:trapdoor", "darkage:wood_frame"
	}
})

minetest.register_node("darkage:slate_cobble", {
		description = "Slate Cobble",
		tiles = {"darkage_slate_cobble.png^[transform1"},
		--tiles = {"darkage_slate_cobble.png"},
		groups = {cracky=3},
		sounds = default.node_sound_stone_defaults(),
		drop="stairs:stair_slate_cobble 4",
		})

minetest.register_node("darkage:ors_cobble", {
		description = "Terracotta cobble",
		--tiles = {"darkage_ors_cobble.png^[multiply:orange"},
		tiles = {"default_cobble.png^[brighten^[multiply:#E2725B^[transform1"},
		groups = {cracky=3},
		sounds = default.node_sound_stone_defaults(),
		drop="stairs:stair_ors_cobble 4",
		})

--[[
minetest.register_node("darkage:basalt_cobble", {
description = "Basalt Cobble",
tiles = {"darkage_basalt_cobble.png"},
groups = {cracky=3},
sounds = default.node_sound_stone_defaults()
})
]]

minetest.register_node("darkage:stone_brick", {
	description = "Stone Brick",
	tiles = {"darkage_stone_brick.png"},
	groups = {cracky=1, },
	sounds = default.node_sound_stone_defaults(),
	drop="stairs:stair_stone_brick 4"
})

minetest.register_node("darkage:schist", {
	description = "Aggregate",
	tiles = {"darkage_schist.png"},
	groups = {cracky=2, },
	sounds = default.node_sound_stone_defaults(),
	drop="stairs:stair_schist 4",
})

--[[
minetest.register_node("darkage:ors", {
	description = "Solid dirt",
	tiles = {"darkage_ors_cobble.png"},
	groups = {cracky=3, },
	sounds = default.node_sound_stone_defaults(),
	drop="",
})
]]

--[[
minetest.register_node("darkage:lamp", {
	description = "Decorative Lamp",
	tiles = {"default_meselamp.png^darkage_glass.png"},
	paramtype = "light",
	light_source = 12,
	groups = {cracky=2},
	sounds = default.node_sound_glass_defaults(),
})
]]

minetest.register_node("darkage:lamp2", {
	description = "Paper lamp",
	tiles = {"xdecor_iron_lightbox.png"},
	paramtype = "light",
	light_source = 10,
	groups = {dig_immediate=3, flammable=1},
	sounds = default.node_sound_wood_defaults(),
})
minetest.register_node("darkage:lamp3", {
	description = "Paper lamp",
	tiles = {"castle_street_light.png"},
	paramtype = "light",
	light_source = 10,
	groups = {dig_immediate=3, flammable=1},
	sounds = default.node_sound_wood_defaults(),
})


minetest.register_node("darkage:glass", {
	description = "Medieval Glass",
	drawtype = "glasslike",
	tiles = {"darkage_glass.png"},
	paramtype = "light",
	sunlight_propagates = true,
	groups = { cracky=2 },
	sounds = default.node_sound_glass_defaults(),
})


minetest.register_node("darkage:wood_frame", {
	description = "Decoration",
	drawtype = "glasslike",
	--tiles = {"default_silver_sandstone.png^darkage_wood_frame.png"},
	tiles = {"xdecor_itemframe.png"},
	paramtype = "light",
	sunlight_propagates = true,
	groups = {oddly_breakable_by_hand=3, flammable=1},
	sounds = default.node_sound_wood_defaults()
})

minetest.register_node("darkage:adobe", {
	description = "Adobe",
	tiles = {"darkage_adobe.png"},
	groups = {cracky=3},
	sounds = default.node_sound_stone_defaults(),
	drop="stairs:stair_adobe 4",
})
